#include "xwindowdef.h"

XWindowDef::XWindowDef()
    : XAsset()
    , mName("")
    , mRect()
    , mRectClient()
    , mGroup("")
    , mStyle(0)
    , mBorder(0)
    , mOwnerDraw(0)
    , mOwnerDrawFlags(0)
    , mBorderSize(0.0f)
    , mStaticFlags(0)
    , mDynamicFlags(4)
    , mNextTime(0)
    , mForeColor()
    , mBackColor()
    , mBorderColor()
    , mOutlineColor()
    , mBackground(new XMaterial())
{
    SetName("Window Definition");
}

XWindowDef::~XWindowDef()
{

}

void XWindowDef::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XWindowDef::ParseData
}

void XWindowDef::Clear()
{
    mName.clear();
    mRect.Clear();
    mRectClient.Clear();
    mGroup.clear();
    mStyle = 0;
    mBorder = 0;
    mOwnerDraw = 0;
    mOwnerDrawFlags = 0;
    mBorderSize = 0.0f;
    mStaticFlags = 0;
    mDynamicFlags = QVector<int>(4);
    mNextTime = 0;
    mForeColor = QColor();
    mBackColor = QColor();
    mBorderColor = QColor();
    mOutlineColor = QColor();
    mBackground->Clear();
}
